XCreateRegion(3X11)

NAME
XCreateRegion, XSetRegion, XDestroyRegion - create or destroy regions

SYNTAX
Region XCreateRegion()

XSetRegion(display, gc, r)
      Display *display;
      GC gc;
      Region r;

XDestroyRegion(r)
      Region r;

ARGUMENTS

display
    Specifies the connection to the X server.

gc  Specifies the GC.

r   Specifies the region.

DESCRIPTION
The function creates a new empty region.

The function sets the clip-mask in the GC to the specified region. The region is specified relative to the drawable's origin. The resulting GC clip origin is implementation-dependent. Once it is set in the GC, the region can be destroyed.

The function deallocates the storage associated with a specified region.

SEE ALSO
XEmptyRegion(3X11), XIntersectRegion(3X11)
Xlib - C Language X Interface